summaryrefslogtreecommitdiff
path: root/dehydrated
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2018-07-19 14:09:33 +0200
committerJonas Smedegaard <dr@jones.dk>2018-07-19 14:09:33 +0200
commit10586beb6ef8e3d452ef98e6108cd45a9f85ce0f (patch)
tree95d4d47ec40a3e465f6081a3adf73bb8e72b5194 /dehydrated
parent7296461b52b8bc50c6446fadc34410cef2c28404 (diff)
Fix support host without mailhost or chathost.
Diffstat (limited to 'dehydrated')
-rwxr-xr-xdehydrated/hook.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/dehydrated/hook.sh b/dehydrated/hook.sh
index fd6be0a..9e0a009 100755
--- a/dehydrated/hook.sh
+++ b/dehydrated/hook.sh
@@ -17,8 +17,8 @@ servicehosts() {
2> /dev/null \
| perl -0777 -pe 's/\s*\#.*//gm;s/^\s+//;s/\s+$//;s/\s+/|/g'
}
-MAILHOSTS=$(servicehosts mail postconf)
-CHATHOSTS=$(servicehosts chat ejabberdctl)
+MAILHOSTS=$(servicehosts mail postconf) || true
+CHATHOSTS=$(servicehosts chat ejabberdctl) || true
cert_fix() {
DOMAIN="$1"; KEYFILE="$2"; FULLCHAINFILE="$4"